/*
   +----------------------------------------------------------------------+
   | PHP Version 5                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2004 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.0 of the PHP license,       |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_0.txt.                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Stefan Esser <sesser@hardened-php.net>                       |
   +----------------------------------------------------------------------+
*/

/* $Id: sha256.h,v 1.1 2005/11/18 16:42:29 sesser Exp $ */

#ifndef ____SHA256_H
#define ____SHA256_H

#include "ext/standard/basic_functions.h"

/* SHA256 context. */
typedef struct {
	php_uint32 state[8];		/* state (ABCD) */
	php_uint32 count[2];		/* number of bits, modulo 2^64 (lsb first) */
	unsigned char buffer[64];	/* input buffer */
} __SHA256_CTX;

static void __SHA256Init(__SHA256_CTX *);
static void __SHA256Update(__SHA256_CTX *, const unsigned char *, unsigned int);
static void __SHA256Final(unsigned char[32], __SHA256_CTX *);
#endif
